﻿using System;
using System.Collections.Generic;
using Butterfly.HabboHotel.GameClients;
using Butterfly.Messages;
using System.Collections;
using Butterfly.Messages.IOCodes;

namespace Butterfly.HabboHotel.Rooms
{
    class RoomEvent
    {
        internal string Name;
        internal string Description;
        internal int Category;
        internal ArrayList Tags;
        internal string StartTime;

        internal UInt32 RoomId;

        internal RoomEvent(UInt32 RoomId, string Name, string Description, int Category, List<string> tags)
        {
            this.RoomId = RoomId;
            this.Name = Name;
            this.Description = Description;
            this.Category = Category;

            this.StartTime = DateTime.Now.ToShortTimeString();

            this.Tags = new ArrayList();

            if (tags != null)
            {
                foreach (string tag in tags)
                {
                    this.Tags.Add(tag);
                }
            }
        }

        internal ServerMessage Serialize(GameClient Session)
        {
            throw new NotImplementedException();
            //ServerMessage Message = PacketHandelingManager.GetRecycledItem(OutputCode.RoomEventEvent);
            //Message.AddString(Session.GetHabbo().Id + "");
            //Message.AddString(Session.GetHabbo().Username);
            //Message.AddString(RoomId + "");
            //Message.AddInt32(Category);
            //Message.AddString(Name);
            //Message.AddString(Description);
            //Message.AddString(StartTime);
            //Message.AddInt32(Tags.Count);

            //foreach (string Tag in Tags.ToArray())
            //{
            //    Message.AddString(Tag);
            //}
            //return Message;
        }
    }
}
