﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Butterfly.HabboHotel.Items.FurniInteractors;

namespace Butterfly.HabboHotel.Items.FurniInitializers.Initializers
{
    [FurniInitializerAttribute(InteractionType.roller)]
    class RollerInitializer : IInitializer<RoomItem>
    {
        public void InitializeItem(RoomItem item)
        {
            item.SetIsRoller();
            item.GetRoom().GetRoomItemHandler().GotRollers = true;
        }
    }
}
