﻿using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Items.FurniInteractors;
using Butterfly.PacketBuilders.Wired;

namespace Butterfly.HabboHotel.Items.FurniTriggers.Triggers.Wired.Conditions
{
    [TriggerAttribute(InteractionType.conditiontriggeronfurni)]
    class TriggerOnFurni : BaseWiredInteractor
    {
        protected override void DoTrigger(GameClient Session, RoomItem Item, int Request, bool UserHasRights)
        {
            if(UserHasRights)
                Session.SendMessage(ConditionPacketBuilder.GenerateMessage(Item));
        }

    }
}