﻿namespace Butterfly.HabboHotel.Pathfinding.MapManagement
{
    class StackItem
    {
        internal double ZMax { get; private set; }
        internal double ZMin { get; private set; }
        internal double Height { get; private set; }
        internal uint   ItemID { get; private set; }
        internal byte   SquareState { get; set; }

        public StackItem(double zMax, double zMin, uint itemID, byte state)
        {
            this.ZMax = zMax;
            this.ZMin = zMin;
            this.ItemID = itemID;
            this.SquareState = state;
        }

        public override bool Equals(object obj)
        {
            if (obj is StackItem)
                return ((StackItem)obj).ItemID == ItemID;
            return false;
        }

        public override int GetHashCode()
        {
            return unchecked((int)ItemID);
        }


    }
}
