﻿using System.Collections.Generic;
using Butterfly.Core;

namespace Butterfly.HabboHotel.Pets
{
    class PetCommandHandeler
    {
        private static Dictionary<string, PetCommand> petCommands;

        internal static void Init()
        {
            petCommands = JsonReader<Dictionary<string, PetCommand>>.FromFile("Settings/PetCommands.json", true);
        }

        internal static int TryInvoke(string input)
        {
            PetCommand command;
            if (petCommands.TryGetValue(input, out command))
                return command.commandID;
            else
                return 0;
        }
    }
}
