using Butterfly.Core;
using Butterfly.HabboHotel.GameClients;

namespace Butterfly.HabboHotel.Users.ChatMessageHandling
{
    class ForceItemPlacementRotationCommandHandler : CommandMetaData, IChatMessageHandler
    {
        public void RunCommand(GameClient Session, string[] Params)
        {
			if (Params.Length < 2)
				return;
            try
            {
                int userInput = int.Parse(Params[1]);
                if (userInput <= -1 || userInput >= 7)
                {
                    Session.SendNotif(LanguageLocale.GetValue("forcerot.inputerror"));
                }
                else
                {
                    Session.GetHabbo().forceRot = userInput;
                }
            }
            catch
            {
                Session.SendNotif(LanguageLocale.GetValue("input.intonly"));
            }
        }
    }
}