using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;
using Database_Manager.Database.Session_Details.Interfaces;
using System.Data;
using System.Text;

namespace Butterfly.HabboHotel.Users.ChatMessageHandling
{
    class GetFAQCommandHandler : CommandMetaData, IChatMessageHandler
    {
        public void RunCommand(GameClient Session, string[] Params)
        {
            Room TargetRoom = Session.GetHabbo().CurrentRoom;
            DataTable data;
            using (IQueryAdapter dbClient = ButterflyEnvironment.DatabaseManager.getQueryreactor())
            {
                dbClient.setQuery("SELECT question, answer FROM faq");
                data = dbClient.getTable();
            }

            StringBuilder builder = new StringBuilder();
            builder.Append(" - FAQ - \r\r");

            foreach (DataRow row in data.Rows)
            {
                builder.Append("Q: " + (string)row["question"] + "\r");
                builder.Append("A: " + (string)row["answer"] + "\r\r");
            }
            Session.SendNotif(builder.ToString());
        }
    }
}