using Butterfly.Core;
using Butterfly.HabboHotel.GameClients;
using System;

namespace Butterfly.HabboHotel.Users.ChatMessageHandling
{
    class GetInfoCommandHandler : CommandMetaData, IChatMessageHandler
    {
        public void RunCommand(GameClient Session, string[] Params)
        {
            TimeSpan TimeUsed = DateTime.Now - ButterflyEnvironment.ServerStarted;
            Session.SendNotif("-" + ButterflyEnvironment.VersionString + " for R63-\r"
            + "     - Based on UberEmulator\rDevelopers: martinmine, Dissi, Imadj. \rBig thanks to: Dario, Kiggo and G33k.\rFounder of DONG networks: Josh\rCEO of DONG networks: DONG\r\r\rServer status:\r" +
            LanguageLocale.GetValue("info.serveruptime") + TimeUsed.Days + " day(s), " + TimeUsed.Hours + " hour(s) and " + TimeUsed.Minutes + " minute(s)\r" +
            LanguageLocale.GetValue("info.onlineusers") + ButterflyEnvironment.Game.GetClientManager().ClientCount + "\r" +
            LanguageLocale.GetValue("info.activerooms") + ButterflyEnvironment.Game.GetRoomManager().LoadedRoomsCount + "\r");
        }
    }
}