using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Items;
using Butterfly.HabboHotel.Rooms;
using System.Collections.Generic;

namespace Butterfly.HabboHotel.Users.ChatMessageHandling
{
    class PickAllCommandHandler : CommandMetaData, IChatMessageHandler
    {
        public void RunCommand(GameClient Session, string[] Params)
        {
            Room TargetRoom = Session.GetHabbo().CurrentRoom;
            TargetRoom = Session.GetHabbo().CurrentRoom;

            if (TargetRoom != null && TargetRoom.CheckRights(Session, true))
            {
                List<RoomItem> RemovedItems = TargetRoom.GetRoomItemHandler().RemoveAllFurniture(Session);
                Session.GetHabboDataContainer().GetInventoryComponent().AddItemArray(RemovedItems);
                Session.GetHabboDataContainer().GetInventoryComponent().UpdateItems(false); //ARGH!
            }
        }
    }
}