using Butterfly.Core;
using Butterfly.HabboHotel.GameClients;

namespace Butterfly.HabboHotel.Users.ChatMessageHandling
{
    class PlaceAmountCommandHandler : CommandMetaData, IChatMessageHandler
    {
        public void RunCommand(GameClient Session, string[] Params)
        {
			if (Params.Length < 2)
				return;
            uint amount = uint.Parse(Params[1]);

            if (amount > 20)
                Session.SendNotif(LanguageLocale.GetValue("input.invalidinput"));

            Session.GetHabboDataContainer().GetInventoryComponent().placeAmount = amount;
        }
    }
}