using Butterfly.Core;
using Butterfly.HabboHotel.GameClients;

namespace Butterfly.HabboHotel.Users.ChatMessageHandling
{
    class PlaceCircleCommandHandler : CommandMetaData, IChatMessageHandler
    {
        public void RunCommand(GameClient Session, string[] Params)
        {
			if (Params.Length < 2)
				return;
            int radius = int.Parse(Params[1]);

			if (radius > 20 || radius <= 0)
			{
				Session.SendNotif(LanguageLocale.GetValue("input.invalidinput"));
				return;
			}

            Session.GetHabboDataContainer().GetInventoryComponent().mode = Users.Inventory.PlaceMode.Circle;
            Session.GetHabboDataContainer().GetInventoryComponent().primaryPlaceParameter = radius;
        }
    }
}