using Butterfly.Core;
using Butterfly.HabboHotel.GameClients;

namespace Butterfly.HabboHotel.Users.ChatMessageHandling
{
    class PlaceSquareCommandHandler : CommandMetaData, IChatMessageHandler
    {
        public void RunCommand(GameClient Session, string[] Params)
        {
			if (Params.Length < 2)
				return;
            int width = int.Parse(Params[1]);

			if (width > 20 || width <= 0)
			{
				Session.SendNotif(LanguageLocale.GetValue("input.invalidinput"));
				return;
			}

            Session.GetHabboDataContainer().GetInventoryComponent().mode = Users.Inventory.PlaceMode.Square;
            Session.GetHabboDataContainer().GetInventoryComponent().primaryPlaceParameter = width;
        }
    }
}