﻿using Butterfly.HabboHotel.GameClients;
using Butterfly.Messages;
using Butterfly.Messages.IOCodes;
using Database_Manager.Database.Session_Details.Interfaces;

namespace Butterfly.HabboHotel.Users.ChatMessageHandling
{
    class ReloadCatalogCommandHandler : CommandMetaData, IChatMessageHandler
    {
        public void RunCommand(GameClient Session, string[] Params)
        {
            using (IQueryAdapter dbClient = ButterflyEnvironment.DatabaseManager.getQueryreactor())
            {
                ButterflyEnvironment.Game.GetCatalog().Initialize(dbClient);
            }

            ButterflyEnvironment.Game.GetCatalog().InitCache();
            ButterflyEnvironment.Game.GetClientManager().QueueBroadcaseMessage(PacketHandelingManager.GetRecycledItem(OutputCode.CatalogPublishedMessageEvent));
        }
    }
}
