using Butterfly.HabboHotel.GameClients;

namespace Butterfly.HabboHotel.Users.ChatMessageHandling
{
    class StalkUserCommandHandler : CommandMetaData, IChatMessageHandler
    {
        public void RunCommand(GameClient Session, string[] Params)
        {
			if (Params.Length < 2)
				return;

            GameClient TargetClient = ButterflyEnvironment.Game.GetClientManager().GetClientByUsername(Params[1]);

            if (TargetClient == null || TargetClient.GetHabbo() == null || TargetClient.GetHabbo().CurrentRoom == null)
                return;
            if (TargetClient.GetHabbo().CurrentRoom == Session.GetHabbo().CurrentRoom)
                return;
            Session.PrepareRoomForUser(TargetClient.GetHabbo().CurrentRoom.RoomId, "");
        }
    }
}