﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Butterfly.Messages;
using Butterfly;

namespace Butterfly.HabboHotel.Users.Messenger
{
    struct SearchResult
    {
        internal uint userID;
        internal string username;
        internal string motto;
        internal string look;
        internal string last_online;

        public SearchResult(uint userID, string username, string motto, string look, string last_online)
        {
            this.userID = userID;
            this.username = username;
            this.motto = motto;
            this.look = look;
            this.last_online = last_online;
        }

        internal void Searialize(ServerMessage reply)
        {
            reply.AddInt32((int)userID);
            reply.AddString(username);
            reply.AddString(motto);

            bool Online = ButterflyEnvironment.Game.GetClientManager().ClientIsOnline(userID);

            reply.AddBoolean(Online);

            reply.AddBoolean(false);

            reply.AddString(string.Empty);
            reply.AddInt32(0);
            reply.AddString(look);
            reply.AddString(last_online);
        }
    }
}
