﻿using Butterfly.HabboHotel.GameClients;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Butterfly.Messages.MessageHandling.MessageArgs
{
    struct DefaultMessageArgs : IMessageArgs
    {
        private GameClient session;
        private bool allowsExecution;

        public DefaultMessageArgs(GameClient session)
        {
            this.session = session;
            this.allowsExecution = true;
        }
        
        public GameClient Session
        {
            get
            {
                return session;
            }
        }

        public bool AllowsExecution
        {
            get
            {
                return allowsExecution;
            }
        }
    }
}
