using Butterfly.HabboHotel.GameClients;

namespace Butterfly.Messages
{
    class HandlePurchaseMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            int PageId = request.ReadInt();
            uint ItemId = request.ReadUInt();
            string ExtraData = request.ReadString();
            int amount = request.ReadInt();

            if (amount < session.GetHabbo().buyItemLoop)
                amount = session.GetHabbo().buyItemLoop;

            ButterflyEnvironment.Game.GetCatalog().HandlePurchase(session, PageId, ItemId, ExtraData, amount, null);
        }

    }
}