using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Items;

namespace Butterfly.Messages
{
    class PurchaseGiftMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            GiftData data = new GiftData();

            int PageId = request.ReadInt();
            uint ItemId = request.ReadUInt();
            request.ReadString();
            data.sendingUser =  TextHandling.FilterInjectionChars(request.ReadString());
            data.message = TextHandling.FilterInjectionChars(request.ReadString());
            data.spriteID = request.ReadInt();
            data.wrappingPaper = request.ReadInt();
            data.decorationType = request.ReadInt();
            data.showUsername = request.ReadBool();


            ButterflyEnvironment.Game.GetCatalog().HandlePurchase(session, PageId, ItemId, string.Empty, 1, data);
        }

    }
}