using Butterfly.HabboHotel.GameClients;
using Butterfly.Messages.IOCodes;
using Database_Manager.Database.Session_Details.Interfaces;

namespace Butterfly.Messages
{
    class RemoveGuildFavoriteMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            using (IQueryAdapter dbClient = ButterflyEnvironment.DatabaseManager.getQueryreactor())
            {
                dbClient.runFastQuery("UPDATE users SET group_favorite = 0 WHERE id = " + session.GetHabbo().Id);
            }

            ServerMessage message = PacketHandelingManager.GetRecycledItem(Outgoing.UpdatePetitionsGuild);
            message.AddInt32(0);
            message.AddInt32(-1);
            message.AddInt32(-1);
            message.AddString(string.Empty);

            if (session.GetHabbo().CurrentRoomId > 0)
                session.GetHabbo().CurrentRoom.SendMessage(message);
            else
                session.SendMessage(message);

            message = PacketHandelingManager.GetRecycledItem(Outgoing.RemoveGuildFavorite);
            message.AddUInt32(session.GetHabbo().Id);
            session.SendMessage(message);
        }

    }
}