using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Group;

namespace Butterfly.Messages
{
    class SaveGroupSettingsTabMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            uint groupID = request.ReadUInt();
            int type = request.ReadInt();
            int rightType = request.ReadInt();

            GroupData group = ButterflyEnvironment.Game.GetGroupManager().GetGroup(groupID);

            if (group == null) 
                return;

            GroupMember membership = group.GetMembership(session.GetHabbo().Id);

            if (membership != null && membership.GetRank() < 2)
                group.SetTypeAndRightType(type, rightType);
        }

    }
}