using Butterfly.HabboHotel.GameClients;
using Butterfly.Messages.IOCodes;

namespace Butterfly.Messages
{
    class InitCryptoMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            ServerMessage message = PacketHandelingManager.GetRecycledItem(OutputCode.SendBannerMessageComposer);
            message.AddString(ButterflyEnvironment.PublicCryptoKey);
            message.AddBoolean(false);

            session.SendMessage(message);
        }

    }
}