using Butterfly.Core;
using Butterfly.HabboHotel.GameClients;

namespace Butterfly.Messages
{
    class SSOLoginMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            string sso = request.ReadString();
            if (session.GetHabbo() == null)
                session.TryLogin(sso);
            else
                session.SendNotif(LanguageLocale.GetValue("user.allreadylogedon"));
        }

    }
}