using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Support;

namespace Butterfly.Messages
{
    class ModBanUserMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            if (!session.GetHabboDataContainer().HasFuse("fuse_ban"))
            {
                return;
            }

            uint UserId = request.ReadUInt();
            string Message = request.ReadString();
            int Length = request.ReadInt() * 3600;

            ModerationTool.BanUser(session, UserId, Length, Message);
        }

    }
}