using Butterfly.HabboHotel.GameClients;

namespace Butterfly.Messages
{
    class ModCloseTicketMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            if (!session.GetHabboDataContainer().HasFuse("fuse_mod"))
            {
                return;
            }

            int Result = request.ReadInt(); // result, 1 = useless, 2 = abusive, 3 = resolved
            int Junk = request.ReadInt(); // ? 
            uint TicketId = request.ReadUInt(); // id

            ButterflyEnvironment.Game.GetModerationTool().CloseTicket(session, TicketId, Result);
        }

    }
}