using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;
using Butterfly.HabboHotel.Support;

namespace Butterfly.Messages
{
    class ModGetRoomToolMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            if (!session.GetHabboDataContainer().HasFuse("fuse_mod"))
            {
                return;
            }

            uint RoomId = request.ReadUInt();
            RoomData Data = ButterflyEnvironment.Game.GetRoomManager().GenerateNullableRoomData(RoomId);

            session.SendMessage(ModerationTool.SerializeRoomTool(Data));
        }

    }
}