using Butterfly.HabboHotel.GameClients;
using Butterfly.Messages.IOCodes;

namespace Butterfly.Messages
{
    class SubmitHelpTicketMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            bool errorOccured = false;

            if (ButterflyEnvironment.Game.GetModerationTool().UsersHasPendingTicket(session.GetHabbo().Id))
            {
                errorOccured = true;
            }
            else
            {
                string Message = TextHandling.FilterInjectionChars(request.ReadString());

                int Junk = request.ReadInt();
                int Type = request.ReadInt();
                uint ReportedUser = request.ReadUInt();

                ButterflyEnvironment.Game.GetModerationTool().SendNewTicket(session, Type, ReportedUser, Message);
            }

            ServerMessage message = PacketHandelingManager.GetRecycledItem(OutputCode.CallForHelpResultMessageEvent);
            message.AddInt32(errorOccured ? 1 : 0);
            session.SendMessage(message);
        }

    }
}