using Butterfly.HabboHotel.GameClients;

namespace Butterfly.Messages
{
    class DeclineRequestMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            if (session.GetHabboDataContainer().GetMessenger() == null)
            {
                return;
            }

            // Remove all = @f I H
            // Remove specific = @f H I <reqid>

            int Mode = request.ReadInt();
            int Amount = request.ReadInt();

            if (Mode == 0 && Amount == 1)
            {
                uint RequestId = request.ReadUInt();

                session.GetHabboDataContainer().GetChatMessenger().DeleteFriendRequestfromDatabase(RequestId);
            }
            else
            {
                session.GetHabboDataContainer().GetChatMessenger().HandleAllRequests();
            }
        }

    }
}