using Butterfly.HabboHotel.GameClients;

namespace Butterfly.Messages
{
    class SendInstantMessengerMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            //if the user we are sending an IM to is on IRC, get the IRC client / connection and send the data there instead of here. Then gtfo.
            uint userId = request.ReadUInt();
            string message = TextHandling.FilterInjectionChars(request.ReadString());

            if (session.GetHabboDataContainer().GetMessenger() == null)
            {
                return;
            }

            session.GetHabboDataContainer().GetChatMessenger().SendInstantMessage(userId, message);
        }

    }
}