using Butterfly.HabboHotel.GameClients;

namespace Butterfly.Messages
{
    class SetRelationshipeStatusMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            uint receiver = request.ReadUInt();
            int status = request.ReadInt();

            session.GetHabboDataContainer().GetChatMessenger().UpdateRelationshipe(receiver, status, true);

            GameClient receiverClient = ButterflyEnvironment.Game.GetClientManager().GetClientByUserID(receiver);
            if (receiverClient != null)
            {
                receiverClient.GetHabboDataContainer().GetChatMessenger().UpdateRelationshipe(session.GetHabbo().Id, status);
                receiverClient.SendMessage(receiverClient.GetHabboDataContainer().GetMessenger().SerializeRelationships());
            }
        }

    }
}