using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;

namespace Butterfly.Messages
{
    class GiveUserHandItemMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            Room Room = ButterflyEnvironment.Game.GetRoomManager().GetRoom(session.GetHabbo().CurrentRoomId);

            if (Room == null)
            {
                return;
            }

            RoomUser User = Room.GetRoomUserManager().GetRoomUserByHabbo(request.ReadUInt());
            RoomUser me = Room.GetRoomUserManager().GetRoomUserByHabbo(session.GetHabbo().Id);

            if (me == null || User == null || User.GetClient().GetHabbo().Id == session.GetHabbo().Id || User.IsBot)
            {
                return;
            }


            if (me.CarryItemID > 0 && me.CarryTimer > 0)
            {
                User.CarryItem(me.CarryItemID);
                me.CarryItem(-1);
            }
        }

    }
}