using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;
using Butterfly.Messages.IOCodes;

namespace Butterfly.Messages
{
    class LoadUserComposerMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            uint roomID = request.ReadUInt();
            int num2 = request.ReadInt();
            int num3 = request.ReadInt();

            RoomData data = ButterflyEnvironment.Game.GetRoomManager().GenerateRoomData(roomID);

            if (data == null)
                return;

            if (num2 == 1 && num3 == 0)
                return;
            else if (num2 != 0 || num3 != 0)
            {
                ServerMessage message = PacketHandelingManager.GetRecycledItem(OutputCode.GetGuestRoomResultEvent);
                message.AddBoolean(false);
                data.Serialize(message, false);
                message.AddBoolean(true);
                message.AddBoolean(false);
                message.AddBoolean(true);
                message.AddBoolean(true);
                message.AddInt32(0);
                message.AddInt32(0);
                message.AddInt32(0);
                message.AddBoolean(true);

                session.SendMessage(message);
            }
        }

    }
}