using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;

namespace Butterfly.Messages
{
    class OpenPubMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            bool unspecifiedBool = request.ReadBool();
            uint roomID = request.ReadUInt();
            int unspecifiedInt = request.ReadInt();

            RoomData Data = ButterflyEnvironment.Game.GetRoomManager().GenerateRoomData(roomID);

            if (Data == null)
                return;

            session.PrepareRoomForUser(Data.Id, "");
        }

    }
}