using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Items;
using Butterfly.HabboHotel.Rooms;
using System;

namespace Butterfly.Messages
{
    class SaveBrandingMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            uint ItemId = request.ReadUInt();
            uint Data = request.ReadUInt();
            string BrandData = "state" + Convert.ToChar(9) + "0";
            for (int i = 1; i <= Data; i++)
            {
                BrandData = BrandData + Convert.ToChar(9) + request.ReadString();
            }

            Room Room = session.GetHabbo().CurrentRoom;
            RoomItem Item = Room.GetRoomItemHandler().GetItem(ItemId);
            Item.ExtraData = BrandData;
            Room.GetRoomItemHandler().SetFloorItem(session, Item, Item.GetX, Item.GetY, Item.Rot, false, false, true);
        }

    }
}