using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms.Wired;
using Butterfly.Messages.IOCodes;

namespace Butterfly.Messages
{
    class SaveWiredConditionsMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            uint itemID = request.ReadUInt();
            WiredSaver.HandleConditionSave(itemID, session.GetHabbo().CurrentRoom, request);
            ServerMessage message = PacketHandelingManager.GetRecycledItem(OutputCode.SaveWired);
            session.SendMessage(message);
        }

    }
}