using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;

namespace Butterfly.Messages
{
    class ShoutMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            Room Room = ButterflyEnvironment.Game.GetRoomManager().GetRoom(session.GetHabbo().CurrentRoomId);

            if (Room == null)
            {
                return;
            }

            RoomUser User = Room.GetRoomUserManager().GetRoomUserByHabbo(session.GetHabbo().Id);

            if (User == null)
            {
                return;
            }

            User.Chat(session, TextHandling.FilterInjectionChars(request.ReadString()), true, request.ReadInt());
        }

    }
}