using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;
using Butterfly.Messages.IOCodes;

namespace Butterfly.Messages
{
    class StartTypingMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            Room Room = ButterflyEnvironment.Game.GetRoomManager().GetRoom(session.GetHabbo().CurrentRoomId);

            if (Room == null)
            {
                return;
            }

            RoomUser User = Room.GetRoomUserManager().GetRoomUserByHabbo(session.GetHabbo().Id);

            if (User == null)
            {
                return;
            }

            ServerMessage Message = PacketHandelingManager.GetRecycledItem(OutputCode.UserTypingMessageEvent);
            Message.AddInt32(User.VirtualId);
            Message.AddInt32(1);
            Room.SendMessage(Message);
        }

    }
}