using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;

namespace Butterfly.Messages
{
    class StopEventMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            Room Room = ButterflyEnvironment.Game.GetRoomManager().GetRoom(session.GetHabbo().CurrentRoomId);

            if (Room == null || !Room.CheckRights(session, true) || Room.Event == null)
            {
                return;
            }

            ButterflyEnvironment.Game.GetRoomManager().GetEventManager().QueueRemoveEvent(Room.RoomData, Room.Event.Category);
            Room.Event = null;

            //ServerMessage Message = PacketHandelingManager.GetRecycledItem(OutputCode.RoomEventEvent);
            //Message.AddString("-1");
            //Room.SendMessage(Message);
        }

    }
}