using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.SoundMachine;
using System.Collections.Generic;

namespace Butterfly.Messages
{
    class GetMusicDataMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {

            int Amount = request.ReadInt();
            List<SongData> Songs = new List<SongData>();

            for (int i = 0; i < Amount; i++)
            {
                SongData Song = SongManager.GetSong(request.ReadUInt());

                if (Song == null)
                {
                    continue;
                }

                Songs.Add(Song);
            }


            //Session.SendMessage(JukeboxComposer.Compose(Songs));

            Songs.Clear();
            Songs = null;
        }

    }
}