using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;
using Butterfly.HabboHotel.SoundMachine;

namespace Butterfly.Messages
{
    class GetPlaylistsMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            if (session == null || session.GetHabbo() == null || session.GetHabbo().CurrentRoom == null)
                return;

            Room currentRoom = session.GetHabbo().CurrentRoom;

            if (!currentRoom.CheckRights(session, true) || !currentRoom.GotMusicController())
                return;

            RoomMusicController musicController = currentRoom.GetRoomMusicController();

            //Session.SendMessage(JukeboxComposer.Compose(musicController.PlaylistCapacity, musicController.Playlist.Values.ToList()));
        }
    }
}