using Butterfly.HabboHotel.GameClients;

namespace Butterfly.Messages
{
    class GetUserInfoMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
		{

			uint userID = request.ReadUInt();
			bool idIsClient = request.ReadBool();

			if (userID != 0)
			{
				idIsClient = userID == session.GetHabbo().Id;
			}
			else
			{
				idIsClient = true;
				userID = session.GetHabbo().Id;
			}

            session.SendMessage(session.GetHabbo().SendUserInfo(userID, idIsClient));
		}
    }
}