﻿namespace Collections
{
    public class ArrayElement<T> : ISortable<T>
    {
        private T key;
        private int count;
        private uint identificator;
        private int stringPos;

        public ArrayElement(T key, int count, uint identificator)
        {
            this.key = key;
            this.count = count;
            this.identificator = identificator;
        }

        public int OrderKey
        {
            get
            {
                return count;
            }
        }

        public uint Identificator
        {
            get
            {
                return identificator;
            }
        }

        public int ArrayPosition
        {
            get
            {
                return stringPos;
            }
            set
            {
                stringPos = value;
            }
        }

        public T GetValue()
        {
            return key;
        }
    }
}
