﻿namespace Collections.ModernCollections
{
    public class ArrayElement<T, V> : ISortable<T, V>
    {
        private T count;
        private V identificator;
        private int index;

        public ArrayElement(T count, V identificator)
        {
            this.count = count;
            this.identificator = identificator;
        }

        public T Key
        {
            get
            {
                return count;
            }
        }

        public V Value
        {
            get
            {
                return identificator;
            }
        }

        public int Index
        {
            get
            {
                return index;
            }
            set
            {
                index = value;
            }
        }
    }
}
