﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Butterfly.HabboHotel.Rooms.Games;

namespace Butterfly.HabboHotel.Items.FurniInitializers.Initializers
{
    abstract class BaseTeamInitializer : IInitializer<RoomItem>
    {
        public void InitializeItem(RoomItem item)
        {
            item.team = GetTeamColor();
        }

        protected abstract Team GetTeamColor();
    }
}
