﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Butterfly.HabboHotel.Items.FurniInteractors.Interactors
{
    abstract class BaseRandomExtraDataItemInteractor : IInteractable
    {

        public void ExecuteAction(RoomItem theItem)
        {
            theItem.ExtraData = TextHandling.GetRandomNumber(GetFirst(), GetSecond() + 1).ToString();
            theItem.UpdateState();
        }

        protected abstract int GetFirst();
        protected abstract int GetSecond();
    }
}
