﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Butterfly.HabboHotel.Items.FurniInteractors.Interactors
{
    [InteractorAttribute(InteractionType.freezetile)]

    class FreezeTileInteractor : IInteractable
    {
        public void ExecuteAction(RoomItem theItem)
        {
            if (theItem.InteractingUser > 0)
            {
                theItem.ExtraData = "11000";
                theItem.UpdateState(false, true);

                theItem.GetRoom().GetFreeze().onFreezeTiles(theItem, theItem.freezePowerUp, theItem.InteractingUser);
                theItem.InteractingUser = 0;
                theItem.interactionCountHelper = 0;
            }
        }
    }
}
