﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Butterfly.HabboHotel.Items.FurniInteractors.Interactors
{
    [InteractorAttribute(InteractionType.loveshuffler)]
    class LoveShufflerInteractor : IInteractable
    {
        public void ExecuteAction(RoomItem theItem)
        {
            if (theItem.ExtraData == "0")
            {
                theItem.ExtraData = TextHandling.GetRandomNumber(1, 4).ToString();
                theItem.ReqUpdate(20, false);
            }
            else if (theItem.ExtraData != "-1")
            {
                theItem.ExtraData = "-1";
            }

            theItem.UpdateState(false, true);
        }
    }
}
