﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Butterfly.HabboHotel.Rooms;

namespace Butterfly.HabboHotel.Items.FurniInteractors.Interactors
{
    [InteractorAttribute(InteractionType.vendingmachine)]
    class VendinMachineInteractor : IInteractable
    {
        public void ExecuteAction(RoomItem theItem)
        {
            if (theItem.ExtraData == "1")
            {
                RoomUser User = theItem.GetRoom().GetRoomUserManager().GetRoomUserByHabbo(theItem.InteractingUser);

                if (User != null)
                {
                    User.UnlockWalking();

                    int randomDrink = theItem.GetBaseItem().VendingIds[TextHandling.GetRandomNumber(0, (theItem.GetBaseItem().VendingIds.Count - 1))];
                    User.CarryItem(randomDrink);
                }

                theItem.InteractingUser = 0;
                theItem.ExtraData = "0";

                theItem.UpdateState(false, true);
            }

        }
    }
}
