﻿using Butterfly.HabboHotel.Items.FurniInteractors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Butterfly.HabboHotel.GameClients;

namespace Butterfly.HabboHotel.Items.FurniTriggers.Triggers
{

    [TriggerAttribute(InteractionType.wire)]
    [TriggerAttribute(InteractionType.wireCenter)]
    [TriggerAttribute(InteractionType.wireCorner)]
    [TriggerAttribute(InteractionType.wireSplitter)]
    [TriggerAttribute(InteractionType.wireStandard)]
    class EmptyTrigger : IFurniTrigger
    {
        public bool CanBeTriggered(GameClient Session, RoomItem Item, int Request, bool UserHasRights)
        {
            return true;
        }
        public void OnPlace(GameClients.GameClient Session, RoomItem Item)
        {
        }

        public void OnRemove(GameClients.GameClient Session, RoomItem Item)
        {
        }

        public void OnTrigger(GameClients.GameClient Session, RoomItem Item, int Request, bool UserHasRights)
        {
        }
    }
}
