﻿using Butterfly.HabboHotel.Items.FurniInteractors;
using Butterfly.Messages;
using Butterfly.Messages.IOCodes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Butterfly.PacketBuilders.Wired;

namespace Butterfly.HabboHotel.Items.FurniTriggers.Triggers.Wired.Condition
{
    [TriggerAttribute(InteractionType.conditionstatepos)]
    class StatePositionWired : BaseWiredInteractor
    {

        protected override void DoTrigger(GameClients.GameClient Session, RoomItem Item, int Request, bool UserHasRights)
        {
            if (UserHasRights)
                Session.SendMessage(ConditionPacketBuilder.GenerateMessage(Item));
        }
    }
}
