﻿using Butterfly.HabboHotel.Items.FurniInteractors;
using Butterfly.Messages;
using Butterfly.Messages.IOCodes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Butterfly.HabboHotel.Items.FurniTriggers.Triggers.Wired
{

    [TriggerAttribute(InteractionType.specialunseen)]
    class SpecialUnseenWired : BaseWiredInteractor
    {
        protected override void DoTrigger(GameClients.GameClient Session, RoomItem Item, int Request, bool UserHasRights)
        {
            ServerMessage message = PacketHandelingManager.GetRecycledItem(OutputCode.WiredFurniActionEvent);
            message.AddBoolean(false);
            message.AddInt32(5);
            message.AddBoolean(false);
            message.AddInt32(Item.GetBaseItem().SpriteId);
            message.AddUInt32(Item.Id);

            message.AddString(string.Empty);
            message.AddBoolean(false);
            message.AddInt32(8);
            message.AddBoolean(false);
            message.AddBoolean(false);
            message.AddBoolean(false);
            message.AddString(string.Empty);

            Session.SendMessage(message);
        }
    }
}
