﻿using System.Collections.Generic;
using Butterfly.Core;

namespace Butterfly.HabboHotel.Pets
{
    class PetLocale
    {
        private static Dictionary<string, string[]> values;

        internal static void Init()
        {
            values = JsonReader<Dictionary<string, string[]>>.FromFile("Settings/PetLocale.json");
        }

        internal static string[] GetValue(string key)
        {
            string[] value;
            if (values.TryGetValue(key, out value))
            {
                return value;
            }
            else
            {
                return new string[] { "NO KEY FOUND FOR " + key };
            }
        }
    }
}
