using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;

namespace Butterfly.HabboHotel.Users.ChatMessageHandling
{
    class EnableEffectCommandHandler : CommandMetaData, IChatMessageHandler
    {
        public void RunCommand(GameClient Session, string[] Params)
        {
			if (Params.Length < 2)
				return;

            Room TargetRoom = Session.GetHabbo().CurrentRoom;

            int EffectID = int.Parse(Params[1]);
            Session.GetHabboDataContainer().GetAvatarEffectsInventoryComponent().ApplyCustomEffect(EffectID);
        }
    }
}