﻿using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;

namespace Butterfly.HabboHotel.Users.ChatMessageHandling
{
    class GiveMassCreditsCommandHandler : CommandMetaData, IChatMessageHandler
    {
        public void RunCommand(GameClient Session, string[] Params)
        {
            if (Params.Length < 2)
                return;

            Room TargetRoom = Session.GetHabbo().CurrentRoom;

            int CreditAmount = int.Parse(Params[1]);
            ButterflyEnvironment.Game.GetClientManager().QueueCreditsUpdate(CreditAmount);
            ButterflyEnvironment.Game.GetModerationTool().LogStaffEntry(Session.GetHabbo().Username, string.Empty, "Mass Credits", "Send [" + CreditAmount + "] credits to everyone online", null);
        }
    }
}
