using Butterfly.Core;
using Butterfly.HabboHotel.GameClients;
using System;
using System.Threading.Tasks;

namespace Butterfly.HabboHotel.Users.ChatMessageHandling
{
    class ShutdownServerCommandHandler : CommandMetaData, IChatMessageHandler
    {
        public void RunCommand(GameClient Session, string[] Params)
        {
            Logging.LogCriticalException("User " + Session.GetHabbo().Username + " shut down the server " + DateTime.Now.ToString());
            Task ShutdownTask = new Task(ButterflyEnvironment.PreformShutDown);
            ShutdownTask.Start();
        }
    }
}