using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;

namespace Butterfly.HabboHotel.Users.ChatMessageHandling
{
    class TriggerLayCommandHandler : CommandMetaData, IChatMessageHandler
    {
        public void RunCommand(GameClient Session, string[] Params)
        {
            Room room = Session.GetHabbo().CurrentRoom;
            if (room == null)
                return;

            RoomUser roomuser = room.GetRoomUserManager().GetRoomUserByHabbo(Session.GetHabbo().Id);

            if (roomuser.Statusses.ContainsKey("lay"))
            {
                roomuser.Statusses.Remove("lay");
            }
            else
            {
                roomuser.Statusses.Add("lay", TextHandling.GetString(roomuser.Z + 1) + " null");
            }

            roomuser.UpdateNeeded = true;
        }
    }
}