﻿using System;
using Butterfly.Core;

namespace Butterfly.HabboHotel.Users.Subscriptions
{
    class Subscription
    {
        private string Caption;

        //private int TimeActivated;
        private int TimeExpire;

        internal string SubscriptionId
        {
            get
            {
                return Caption;
            }
        }

        internal int ExpireTime
        {
            get
            {
                return TimeExpire;
            }
        }

        internal Subscription(string Caption, int TimeExpire)
        {
            this.Caption = Caption;
            //this.TimeActivated = TimeActivated;
            this.TimeExpire = TimeExpire;
        }

        internal Boolean IsValid()
        {
            if (TimeExpire <= TextHandling.GetUnixTimestamp())
            {
                return false;
            }

            return true;
        }

        internal void SetEndTime(int time)
        {
            this.TimeExpire = time;
        }
        internal void AddSubscriptionTime(int time)
        {
            if (this.IsValid())
            {
                this.TimeExpire += time;
            }
            else
            {
                this.TimeExpire = TextHandling.GetUnixTimestamp() + time;
            }
        }
    }
}
