﻿using Butterfly.HabboHotel.GameClients;
using Butterfly.Messages.IOCodes;
using Butterfly.Messages.MessageHandling.MessageEvents.Global;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Butterfly.Messages.MessageHandling
{
    class SampleParser
    {
        private static Hashtable register;

        internal static void InitParser()
        {
			register = new Hashtable();
            register.Add(123, new PingMessageEvent());
        }

        internal static void Parse(ServerMessage request, GameClient client, int packetID)
        {
            if (register.ContainsKey(packetID))
            {
                IMessageEvent handler = (IMessageEvent)register[packetID];
                IMessageArgs args = MessageArgsFactory.GetArgs(handler);

                if (args.AllowsExecution)
                {
                    handler.Parse(request, args);
                }
            }
            else //Unknown message
            {
                
            }
        }
    }
}
