using Butterfly.HabboHotel.GameClients;
using Butterfly.Messages.IOCodes;
using System.Collections;

namespace Butterfly.Messages
{
    class GetCataData2MessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            ServerMessage message = PacketHandelingManager.GetRecycledItem(OutputCode.GiftWrappingConfigurationEvent);

            message.AddBoolean(true);
            message.AddInt32(1);

            Hashtable gifts = ButterflyEnvironment.Game.GetCatalog().GetGiftPresets();
            message.AddInt32(gifts.Count);

            foreach (DictionaryEntry entry in gifts)
            {
                message.AddUInt32((uint)entry.Key);
            }
            //message.AddInt32(10);
            //for (int i = 3372; i < 3382; )
            //{
            //    message.AddInt32(i);
            //    i++;
            //}
            message.AddInt32(7);
            message.AddInt32(0);
            message.AddInt32(1);
            message.AddInt32(2);
            message.AddInt32(3);
            message.AddInt32(4);
            message.AddInt32(5);
            message.AddInt32(6);
            message.AddInt32(11);
            message.AddInt32(0);
            message.AddInt32(1);
            message.AddInt32(2);
            message.AddInt32(3);
            message.AddInt32(4);
            message.AddInt32(5);
            message.AddInt32(6);
            message.AddInt32(7);
            message.AddInt32(8);
            message.AddInt32(9);
            message.AddInt32(10);
            message.AddInt32(7);
            for (int i = 187; i < 194; )
            {
                message.AddInt32(i);
                i++;
            }
            session.SendMessage(message);

            message = PacketHandelingManager.GetRecycledItem(OutputCode.OfferEvent);
            message.AddInt32(100);
            message.AddInt32(6);
            message.AddInt32(1);
            message.AddInt32(1);
            message.AddInt32(2);
            message.AddInt32(40);
            message.AddInt32(99);
            session.SendMessage(message);
        }

    }
}