using Butterfly.HabboHotel.GameClients;
using Database_Manager.Database.Session_Details.Interfaces;
using System.Data;

namespace Butterfly.Messages
{
    class MarketplaceClaimCreditsMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            DataTable Results = null;

            using (IQueryAdapter dbClient = ButterflyEnvironment.DatabaseManager.getQueryreactor())
            {
                dbClient.setQuery("SELECT asking_price FROM catalog_marketplace_offers WHERE user_id = " + session.GetHabbo().Id + " AND state = 2");
                Results = dbClient.getTable();
            }

            if (Results == null)
            {
                return;
            }

            int Profit = 0;

            foreach (DataRow Row in Results.Rows)
            {
                Profit += (int)Row["asking_price"];
            }

            if (Profit >= 1)
            {
                session.GetHabbo().Credits += Profit;
                session.GetHabboDataContainer().UpdateCreditsBalance();
            }

            using (IQueryAdapter dbClient = ButterflyEnvironment.DatabaseManager.getQueryreactor())
            {
                dbClient.runFastQuery("DELETE FROM catalog_marketplace_offers WHERE user_id = " + session.GetHabbo().Id + " AND state = 2");
            }
        }

    }
}