using Butterfly.HabboHotel.Catalogs;
using Butterfly.HabboHotel.GameClients;

namespace Butterfly.Messages
{
    class MarketplaceGetOffersMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            int MinPrice = request.ReadInt();
            int MaxPrice = request.ReadInt();
            string SearchQuery = request.ReadString();
            int FilterMode = request.ReadInt();

            session.SendMessage(Marketplace.SerializeOffers(MinPrice, MaxPrice, SearchQuery, FilterMode));
        }

    }
}