using Butterfly.HabboHotel.Catalogs;
using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Items;

namespace Butterfly.Messages
{
    class MarketplacePostItemMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            if (session.GetHabboDataContainer().GetInventoryComponent() == null)
            {
                return;
            }

            int sellingPrice = request.ReadInt();
            int junk = request.ReadInt();
            uint itemId = request.ReadUInt();

            UserItem Item = session.GetHabboDataContainer().GetInventoryComponent().GetItem(itemId);

            if (Item == null || !Item.GetBaseItem().AllowTrade)
            {
                return;
            }

            Marketplace.SellItem(session, Item.itemID, sellingPrice);
        }

    }
}