using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Group;
using Butterfly.Messages.IOCodes;

namespace Butterfly.Messages
{
    class SendFurniGuildMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            ServerMessage message = PacketHandelingManager.GetRecycledItem(Outgoing.SendHtmlColors);
            message.AddInt32(session.GetHabbo().GroupList.Count);
            foreach (uint groupID in session.GetHabbo().GroupList)
            {
                GroupData group = ButterflyEnvironment.Game.GetGroupManager().GetGroup(groupID);

                message.AddUInt32(groupID);
                message.AddString(group.Name);
                message.AddString(group.image);
                message.AddString(group.htmlColorPrimary);
                message.AddString(group.htmlColorSecondary);
                message.AddBoolean(session.GetHabbo().EquippedGroup == groupID);
            }

            session.SendMessage(message);
        }
    }
}