using Butterfly.HabboHotel.GameClients;
using Butterfly.Messages.IOCodes;

namespace Butterfly.Messages
{
    class InitSecretKeyMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            ServerMessage message = PacketHandelingManager.GetRecycledItem(OutputCode.SecretKeyComposer);
            message.AddString(ButterflyEnvironment.PrivateCryptoKey);

            session.SendMessage(message);
        }

    }
}