using Butterfly.Core;
using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Support;

namespace Butterfly.Messages
{
    class ModGetUserInfoMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            if (!session.GetHabboDataContainer().HasFuse("fuse_mod"))
            {
                return;
            }

            uint UserId = request.ReadUInt();

            if (ButterflyEnvironment.Game.GetClientManager().GetNameById(UserId) != "Unknown User")
            {
                session.SendMessage(ModerationTool.SerializeUserInfo(UserId));
            }
            else
            {
                session.SendNotif(LanguageLocale.GetValue("user.loadusererror"));
            }
        }

    }
}