using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Support;

namespace Butterfly.Messages
{
    class ModPerformRoomActionMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            if (!session.GetHabboDataContainer().HasFuse("fuse_mod"))
            {
                return;
            }

            uint RoomId = request.ReadUInt();
            bool ActOne = request.ReadInt() == 1; // set room lock to doorbell
            bool ActTwo = request.ReadInt() == 1; // set room to inappropiate
            bool ActThree = request.ReadInt() == 1; // kick all users

            ModerationTool.PerformRoomAction(session, RoomId, ActThree, ActOne, ActTwo);
        }

    }
}