using Butterfly.HabboHotel.GameClients;

namespace Butterfly.Messages
{
    class ModReleaseTicketMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            if (!session.GetHabboDataContainer().HasFuse("fuse_mod"))
                return;

            int amount = request.ReadInt();

            for (int i = 0; i < amount; i++)
            {
                uint TicketId = request.ReadUInt();
                ButterflyEnvironment.Game.GetModerationTool().ReleaseTicket(session, TicketId);
            }
        }
    }
}