using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Users.Messenger;

namespace Butterfly.Messages
{
    class AcceptRequestMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            if (session.GetHabboDataContainer().GetMessenger() == null)
            {
                return;
            }

            int Amount = request.ReadInt();

            for (int i = 0; i < Amount; i++)
            {
                uint RequestId = request.ReadUInt();

                MessengerRequest massRequest = session.GetHabboDataContainer().GetChatMessenger().GetRequest(RequestId);

                if (massRequest == null)
                {
                    continue;
                }

                if (massRequest.To != session.GetHabbo().Id)
                {
                    // not this user's request. filthy haxxor!
                    return;
                }

                if (!session.GetHabboDataContainer().GetChatMessenger().FriendshipExists(massRequest.To))
                {
                    session.GetHabboDataContainer().GetChatMessenger().CreateFriendship(massRequest.From);
                }

                session.GetHabboDataContainer().GetChatMessenger().DeleteFriendRequestfromDatabase(RequestId);
            }
        }

    }
}