using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Users.Messenger;

namespace Butterfly.Messages
{
    class GetRelationshipsProfileMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            uint userID = request.ReadUInt();
            HabboMessenger messenger = MessengerManager.instance.GetUserMessenger(userID, true);

            if (messenger != null)
                session.SendMessage(messenger.SerializeRelationships());
        }
    }
}