using Butterfly.HabboHotel.GameClients;

namespace Butterfly.Messages
{
    class InitMessengerMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            session.GetHabboDataContainer().InitMessenger();


            session.SendMessage(session.GetHabboDataContainer().GetMessenger().SerializeFriends() as ServerMessage);
            session.SendMessage(session.GetHabboDataContainer().GetMessenger().SerializeRequests() as ServerMessage);
            session.SendMessage(session.GetHabboDataContainer().GetMessenger().SerializeRelationships());
        }

    }
}