using Butterfly.Core;
using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;

namespace Butterfly.Messages
{
    class OpenFlatMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            uint Id = request.ReadUInt();
            //string Password = Request.newString();
            string Password = "";
            //int Junk = Request.newInt(0);

            Logging.WriteLine("Loading room [" + Id + "]");

            RoomData Data = ButterflyEnvironment.Game.GetRoomManager().GenerateRoomData(Id);

            if (Data == null)
                return;

            session.PrepareRoomForUser(Id, Password);
        }
    }
}