using Butterfly.HabboHotel.GameClients;
using Butterfly.Messages.IOCodes;
using Database_Manager.Database.Session_Details.Interfaces;

namespace Butterfly.Messages
{
    class RemoveFavoriteMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            uint Id = request.ReadUInt();

            session.GetHabbo().FavoriteRooms.Remove(Id);

            ServerMessage message = PacketHandelingManager.GetRecycledItem(OutputCode.FavouriteChangedEvent);
            message.AddUInt32(Id);
            message.AddBoolean(false);
            session.SendMessage(message);

            using (IQueryAdapter dbClient = ButterflyEnvironment.DatabaseManager.getQueryreactor())
            {
                dbClient.runFastQuery("DELETE FROM user_favorites WHERE user_id = " + session.GetHabbo().Id + " AND room_id = " + Id + "");
            }
        }

    }
}