using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;

namespace Butterfly.Messages
{
    class ApplySignMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            Room currentRoom = ButterflyEnvironment.Game.GetRoomManager().GetRoom(session.GetHabbo().CurrentRoomId);

            if (currentRoom == null)
                return;

            RoomUser user = currentRoom.GetRoomUserManager().GetRoomUserByHabbo(session.GetHabbo().Id);

            if (user == null)
                return;

            user.Unidle();

            int sign = request.ReadInt();
            user.AddStatus("sign", sign.ToString());
            user.UpdateNeeded = true;
        }

    }
}