using Butterfly.Collections;
using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Group;
using Butterfly.HabboHotel.Rooms;

namespace Butterfly.Messages
{
    class GetGroupBadgesMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
			Room CurrentLoadingRoom = ButterflyEnvironment.Game.GetRoomManager().GetRoom(session.GetHabbo().LoadingRoom);
            if (session == null || session.GetHabbo() == null || CurrentLoadingRoom == null)
                return;

            if (session.GetHabbo() != null && session.GetHabbo().IsGroupMember)
            {
                GroupMember group = session.GetHabboDataContainer().GetEquippedGroup();
                if (group != null && !CurrentLoadingRoom.groups.ContainsKey(group.Group.ID))
                    CurrentLoadingRoom.groups.Add(group.Group.ID, group.Group);
            }
        }
    }
}