using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Items;
using Butterfly.HabboHotel.Rooms;

namespace Butterfly.Messages
{
    class SaveMannequinMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            uint itemID = request.ReadUInt();
            Room room = session.GetHabbo().CurrentRoom;
            RoomItem item = room.GetRoomItemHandler().GetItem(itemID);

            if (session.GetHabbo().Look.Contains(TextHandling.GetHair(session.GetHabbo().Look)))
                item.ExtraData = session.GetHabbo().Look.Replace(TextHandling.GetHair(session.GetHabbo().Look), "");
            else
                item.ExtraData = session.GetHabbo().Look;

            item.UpdateState();
            room.GetRoomItemHandler().SetFloorItem(session, item, item.GetX, item.GetY, item.Rot, false, false, true);
        }


    }
}