using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms.Wired;
using Butterfly.Messages.IOCodes;

namespace Butterfly.Messages
{
    class SaveWiredMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            uint itemID = request.ReadUInt();
            WiredSaver.HandleSave(itemID, session.GetHabbo().CurrentRoom, request);
            session.SendMessage(PacketHandelingManager.GetRecycledItem(OutputCode.SaveWired));
            
        }

    }
}