using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;
using Butterfly.Messages.IOCodes;
using Database_Manager.Database.Session_Details.Interfaces;

namespace Butterfly.Messages
{
    class SetHomeRoomMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            uint RoomId = request.ReadUInt();
            RoomData Data = ButterflyEnvironment.Game.GetRoomManager().GenerateRoomData(RoomId);

            if (RoomId != 0 || Data == null || Data.Owner.ToLower() != session.GetHabbo().Username.ToLower())
                return;

            session.GetHabbo().HomeRoom = RoomId;

            using (IQueryAdapter dbClient = ButterflyEnvironment.DatabaseManager.getQueryreactor())
            {
                dbClient.runFastQuery("UPDATE users SET home_room = " + RoomId + " WHERE id = " + session.GetHabbo().Id);
            }

            ServerMessage message = PacketHandelingManager.GetRecycledItem(OutputCode.NavigatorSettingsEvent);
            message.AddInt32((int)RoomId);
            message.AddInt32((int)RoomId);
            session.SendMessage(message);
        }

    }
}