using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Rooms;
using Butterfly.Messages.IOCodes;

namespace Butterfly.Messages
{
    class ToggleRoomMuteMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            Room room = session.GetHabbo().CurrentRoom;
            if (room == null || !room.CheckRights(session))
                return;

            room.RoomMuted = !room.RoomMuted;
            ServerMessage message = PacketHandelingManager.GetRecycledItem(Outgoing.RoomMuteAllOut);
            message.AddBoolean(room.RoomMuted);
            session.SendMessage(message);
        }

    }
}