using Butterfly.HabboHotel.GameClients;

namespace Butterfly.Messages
{
    class GetPetsInventoryMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            if (session.GetHabboDataContainer().GetInventoryComponent() == null)
            {
                return;
            }

            session.SendMessage(session.GetHabboDataContainer().GetInventoryComponent().SerializePetInventory());
        }
    }
}