using Butterfly.HabboHotel.GameClients;
using Butterfly.HabboHotel.Users.Subscriptions;
using Butterfly.Messages.IOCodes;
using Database_Manager.Database.Session_Details.Interfaces;
using System.Data;

namespace Butterfly.Messages
{
    class GetWardrobeMessageEventHandler : IMessageEventHandler
    {
        public void HandleEvent(GameClient session, ClientMessage request)
        {
            ServerMessage message = PacketHandelingManager.GetRecycledItem(OutputCode.WardrobeMessageEvent);
            message.AddInt32(session.GetHabboDataContainer().GetSubscriptionManager().HasSubscription(SubscriptionManager.SUBSCRIPTION_TYPE_CLUB) ? 1 : 0);

            if (session.GetHabboDataContainer().GetSubscriptionManager().HasSubscription(SubscriptionManager.SUBSCRIPTION_TYPE_CLUB))
            {
                using (IQueryAdapter dbClient = ButterflyEnvironment.DatabaseManager.getQueryreactor())
                {
                    //dbClient.addParameter("userid", Session.GetHabbo().Id);
                    dbClient.setQuery("SELECT slot_id, look, gender FROM user_wardrobe WHERE user_id = " + session.GetHabbo().Id);
                    DataTable WardrobeData = dbClient.getTable();

                    if (WardrobeData == null)
                    {
                        message.AddInt32(0);
                    }
                    else
                    {
                        message.AddInt32(WardrobeData.Rows.Count);

                        foreach (DataRow Row in WardrobeData.Rows)
                        {
                            message.AddUInt32((uint)Row["slot_id"]);
                            message.AddString((string)Row["look"]);
                            message.AddString((string)Row["gender"]);
                        }
                    }
                }

                session.SendMessage(message);
            }
        }

    }
}