﻿using System;
using System.Net;
using System.Net.Sockets;
using Butterfly.Core;
using ConnectivityAsync;

namespace Butterfly.ServerManager
{
    class DataSocket
    {
		private static ConnectionManager manager;

        internal static void SetupListener(int Port)
        {
            SessionManagement.Init();
			manager = new ConnectionManager(Port, 5, new HeartbeatParser(), false);

			manager.connectionEvent += manager_connectionEvent;
        }

		static void manager_connectionEvent(ConnectionInformation connection)
		{
			new Session(connection);	
		}

        internal static void Start()
        {
			manager.StartListening();
        }
    }
}
